%define anolis_release 3
%global fontname lohit-tamil
%global fontconf 65-0-%{fontname}.conf
%global metainfo io.pagure.lohit.tamil.font.metainfo

Name:           %{fontname}-fonts
Version:        2.91.3
Release:        %{anolis_release}%{?dist}
Summary:        Free truetype font for Tamil language
License:        OFL
URL:            https://pagure.io/lohit/
Source0:        https://releases.pagure.org/lohit/%{fontname}-%{version}.tar.gz

BuildRequires:  make fontforge >= 20080429 fontpackages-devel python3-devel

Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
This package provides a free Tamil truetype/opentype font.

%prep
%autosetup -n %{fontname}-%{version}
mv 66-lohit-tamil.conf 65-0-lohit-tamil.conf

%build
make ttf %{?_smp_mflags}

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{metainfo}.xml %{buildroot}%{_datadir}/metainfo/%{metainfo}.xml

%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/metainfo/%{metainfo}.xml
%doc ChangeLog COPYRIGHT OFL.txt
%doc README AUTHORS test-tamil.txt

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.91.3-3
- rebuild

* Fri Apr 14 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.91.3-2
- Refactor the specfile

* Fri Apr 15 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.91.3-1
- Init package from upstream v2.91.3
